Bug 244072 - games/residualvm: Update to 0.3.1
Summary: games/residualvm: Update to 0.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-02-12 15:07 UTC by Neal Nelson
Modified: 2020-04-29 07:26 UTC (History)
2 users (show)

See Also:
yerenkow: maintainer-feedback+


Attachments
Patch to upgrade port. (4.78 KB, patch)
2020-02-12 15:07 UTC, Neal Nelson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neal Nelson 2020-02-12 15:07:37 UTC
Created attachment 211590 [details]
Patch to upgrade port.

Update games/residualvm to 0.3.1 and fix all the warnings from the Makefile.

This version allows Myst III: Exile to be run.
Comment 1 Automation User 2020-02-12 15:28:08 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/117299276
Comment 2 yerenkow 2020-02-13 02:09:55 UTC
LGTM, but did not check thoroughly.
Thanks!
Comment 3 commit-hook freebsd_committer 2020-04-29 07:25:43 UTC
A commit references this bug:

Author: tagattie
Date: Wed Apr 29 07:24:55 UTC 2020
New revision: 533324
URL: https://svnweb.freebsd.org/changeset/ports/533324

Log:
  - Update to 0.3.1
  - Correct licenses
  - Make portlint happy

  PR:		244072
  Submitted by:	Neal Nelson <ports@nicandneal.net>
  Approved by:	yerenkow@gmail.com (maintainer), ehaupt (mentor)
  Changelog:	https://www.residualvm.org/news/20180615/

Changes:
  head/games/residualvm/Makefile
  head/games/residualvm/distinfo
  head/games/residualvm/files/
  head/games/residualvm/files/patch-configure
  head/games/residualvm/pkg-descr
  head/games/residualvm/pkg-plist
Comment 4 Hiroki Tagato freebsd_committer 2020-04-29 07:26:30 UTC
Committed, thanks!